Index: flexpart_code/fpmetbinary_mod.F90
===================================================================
--- flexpart_code/fpmetbinary_mod.F90	(revision 515b21c06ac454a3edcdd8f8fcbbaafcaa3d2291)
+++ flexpart_code/fpmetbinary_mod.F90	(revision b398fb67a4f4baa29fc8752c3bd278a6e469486e)
@@ -112,17 +112,6 @@
 
 
-#ifdef RAWBIN
-        OPEN(IOUNIT_DUMP, file=filename, action='WRITE', status='REPLACE', form="unformatted", access="stream")
-#endif
-
-
-
-
-
-        CALL fpio(IOUNIT_DUMP, ncid, 'DUMP', cm_index)
-
-#ifdef RAWBIN
-        CLOSE(IOUNIT_DUMP)
-#endif
+
+        CALL fpio(ncid, 'DUMP', cm_index)
 
         PRINT *, 'Closing NC4 file...'
@@ -153,15 +142,5 @@
 
 
-
-#ifdef RAWBIN
-        OPEN(IOUNIT_LOAD, file=filename, action='READ', status='OLD', form="unformatted", access="stream")
-#endif
-
-        CALL fpio(IOUNIT_LOAD, ncid, 'LOAD', cm_index)
-
-#ifdef RAWBIN
-        CLOSE(IOUNIT_LOAD)
-#endif
-
+        CALL fpio(ncid, 'LOAD', cm_index)
 
         CALL SYSTEM_CLOCK(millisecs_stop, count_rate, count_max)
@@ -169,157 +148,10 @@
     END SUBROUTINE fpmetbinary_load
 
-    SUBROUTINE fpmetbinary_zero(cm_index)
-        INTEGER, INTENT(IN) :: cm_index           ! Index of last dimension in
-                                                  ! most com_mod variables.
-                                                  ! Should be 1 or 2 
-
-
-        ! Zeroes out, in local datastructures, the values dumped/loaded
-        ! This was written primarily as a testing mechanism.
-        ! DJM -- 17 February 2017 -- I don't think this routine has been used
-        ! for anything in recent past.  Might want to consider 86'ing it.
-        ! The lines here correspond to READ and WRITE in the dump/load routines
-
-        ! Scalar values
-        nx=0.0; ny=0.0; nxmin1=0.0; nymin1=0.0; nxfield=0.0
-        nuvz=0.0; nwz=0.0; nz=0.0; nmixz=0.0; nlev_ec=0.0
-        dx=0.0; dy=0.0; xlon0=0.0; ylat0=0.0; dxconst=0.0; dyconst=0.0
-
-        ! Fixed fields, static in time
-        oro=0.0; excessoro=0.0; lsm=0.0; xlanduse=0.0; height=0.0
-
-        ! 3d fields
-        uu(:,:,:,cm_index) = 0.0
-        vv(:,:,:,cm_index) = 0.0
-        uupol(:,:,:,cm_index) = 0.0
-        vvpol(:,:,:,cm_index) = 0.0
-        ww(:,:,:,cm_index) = 0.0
-        tt(:,:,:,cm_index) = 0.0
-        qv(:,:,:,cm_index) = 0.0
-        pv(:,:,:,cm_index) = 0.0
-        rho(:,:,:,cm_index) = 0.0
-        drhodz(:,:,:,cm_index) = 0.0
-        tth(:,:,:,cm_index) = 0.0
-        qvh(:,:,:,cm_index) = 0.0
-        pplev(:,:,:,cm_index) = 0.0
-        clouds(:,:,:,cm_index) = 0.0
-        cloudsh(:,:,cm_index) = 0.0
-
-        ! 2d fields
-        ps(:,:,:,cm_index) = 0.0
-        sd(:,:,:,cm_index) = 0.0
-        msl(:,:,:,cm_index) = 0.0
-        tcc(:,:,:,cm_index) = 0.0
-        u10(:,:,:,cm_index) = 0.0
-        v10(:,:,:,cm_index) = 0.0
-        tt2(:,:,:,cm_index) = 0.0
-        td2(:,:,:,cm_index) = 0.0
-        lsprec(:,:,:,cm_index) = 0.0
-        convprec(:,:,:,cm_index) = 0.0
-        sshf(:,:,:,cm_index) = 0.0
-        ssr(:,:,:,cm_index) = 0.0
-        surfstr(:,:,:,cm_index) = 0.0
-        ustar(:,:,:,cm_index) = 0.0
-        wstar(:,:,:,cm_index) = 0.0
-        hmix(:,:,:,cm_index) = 0.0
-        tropopause(:,:,:,cm_index) = 0.0
-        oli(:,:,:,cm_index) = 0.0
-        diffk(:,:,:,cm_index) = 0.0
-        vdep(:,:,:,cm_index) = 0.0
-
-        ! 1d fields
-        z0(:) = 0.0
-        akm(:) = 0.0
-        bkm(:) = 0.0
-        akz(:) = 0.0
-        bkz(:) = 0.0
-        aknew(:) = 0.0
-        bknew(:) = 0.0
-
-        ! Nested, scalar values (for each nest)
-        nxn(:) = 0.0
-        nyn(:) = 0.0
-        dxn(:) = 0.0
-        dyn(:) = 0.0
-        xlon0n(:) = 0.0
-        ylat0n(:) = 0.0
-
-        ! Nested fields, static in time
-        oron=0.0; excessoron=0.0; lsmn=0.0; xlandusen=0.0
-
-        ! 3d nested fields
-        uun(:,:,:,cm_index,:) = 0.0
-        wwn(:,:,:,cm_index,:) = 0.0
-        ttn(:,:,:,cm_index,:) = 0.0
-        qvn(:,:,:,cm_index,:) = 0.0
-        pvn(:,:,:,cm_index,:) = 0.0
-        cloudsn(:,:,:,cm_index,:) = 0.0
-        cloudsnh(:,:,cm_index,:) = 0.0
-        rhon(:,:,:,cm_index,:) = 0.0
-        drhodzn(:,:,:,cm_index,:) = 0.0
-        tthn(:,:,:,cm_index,:) = 0.0
-        qvhn(:,:,:,cm_index,:) = 0.0
-
-        ! 2d nested fields
-        psn(:,:,:,cm_index,:) = 0.0
-        sdn(:,:,:,cm_index,:) = 0.0
-        msln(:,:,:,cm_index,:) = 0.0
-        tccn(:,:,:,cm_index,:) = 0.0
-        u10n(:,:,:,cm_index,:) = 0.0
-        v10n(:,:,:,cm_index,:) = 0.0
-        tt2n(:,:,:,cm_index,:) = 0.0
-        td2n(:,:,:,cm_index,:) = 0.0
-        lsprecn(:,:,:,cm_index,:) = 0.0
-        convprecn(:,:,:,cm_index,:) = 0.0
-        sshfn(:,:,:,cm_index,:) = 0.0
-        ssrn(:,:,:,cm_index,:) = 0.0
-        surfstrn(:,:,:,cm_index,:) = 0.0
-        ustarn(:,:,:,cm_index,:) = 0.0
-        wstarn(:,:,:,cm_index,:) = 0.0
-        hmixn(:,:,:,cm_index,:) = 0.0
-        tropopausen(:,:,:,cm_index,:) = 0.0
-        olin(:,:,:,cm_index,:) = 0.0
-        diffkn(:,:,:,cm_index,:) = 0.0
-        vdepn(:,:,:,cm_index,:) = 0.0
-
-        ! Auxiliary variables for nests
-        xresoln(:) = 0.0
-        yresoln(:) = 0.0
-        xln(:) = 0.0
-        yln(:) = 0.0
-        xrn(:) = 0.0
-        yrn(:) = 0.0
-
-        ! Variables for polar stereographic projection
-        xglobal=.FALSE.; sglobal=.FALSE.; nglobal=.FALSE.
-        switchnorthg=0.0; switchsouthg=0.0
-        southpolemap(:) = 0.0
-        northpolemap(:) = 0.0
-
-        ! Variables declared in conv_mod (convection)
-        pconv(:) = 0.0
-        phconv(:) = 0.0
-        dpr(:) = 0.0
-        pconv_hpa(:) = 0.0
-        phconv_hpa(:) = 0.0
-        ft(:) = 0.0
-        fq(:) = 0.0
-        fmass(:,:) = 0.0
-        sub(:) = 0.0
-        fmassfrac(:,:) = 0.0
-        cbaseflux(:,:) = 0.0
-        cbasefluxn(:,:,:) = 0.0
-        tconv(:) = 0.0
-        qconv(:) = 0.0
-        qsconv(:) = 0.0
-        psconv=0.0; tt2conv=0.0; td2conv=0.0
-        nconvlev=0.0; nconvtop=0.0
-
-    END SUBROUTINE fpmetbinary_zero
-
-    SUBROUTINE fpio(iounit, ncid, op, cm_index)
+
+
+
+    SUBROUTINE fpio(ncid, op, cm_index)
         IMPLICIT NONE
         INTEGER, INTENT(IN) :: ncid               ! NetCDF file id
-        INTEGER, INTENT(IN) :: iounit
         CHARACTER(LEN=4), INTENT(IN) :: op        ! Operation - DUMP or LOAD
         INTEGER, INTENT(IN) :: cm_index           ! Index of last dimension in
@@ -380,8 +212,5 @@
 
 
-#ifdef RAWBIN
-            WRITE (iounit) PREPROC_FORMAT_VERSION_STR
-
-#endif
+
 
             ! Write the compiled max dimensions from par_mod - these are
@@ -389,7 +218,4 @@
             ! information to provide the structure of arrays
 
-#ifdef RAWBIN
-            WRITE (iounit) nxmax, nymax, nzmax, nuvzmax, nwzmax
-#endif
 
 
@@ -449,11 +275,4 @@
 
 
-
-#ifdef RAWBIN
-            WRITE(iounit) nx, ny, nxmin1, nymin1, nxfield
-            WRITE(iounit) nuvz, nwz, nz, nmixz, nlev_ec
-            WRITE(iounit) dx, dy, xlon0, ylat0, dxconst, dyconst
-#endif
-
             ncret = nf90_def_var(ncid, 'nx', NF90_INT, ncvarid)
             call handle_nf90_err(ncret)
@@ -539,10 +358,4 @@
 
             ! Fixed fields, static in time
-
-
-#ifdef RAWBIN
-            WRITE(iounit) oro, excessoro, lsm, xlanduse, height
-#endif
-
             dim2dids = (/nxmax_dimid, nymax_dimid/)
 
@@ -614,26 +427,4 @@
 
             ! 3d fields
-
-
-
-#ifdef RAWBIN
-            WRITE(iounit) uu(:,:,:,cm_index)
-            WRITE(iounit) vv(:,:,:,cm_index)
-            WRITE(iounit) uupol(:,:,:,cm_index)
-            WRITE(iounit) vvpol(:,:,:,cm_index)
-            WRITE(iounit) ww(:,:,:,cm_index)
-            WRITE(iounit) tt(:,:,:,cm_index)
-            WRITE(iounit) qv(:,:,:,cm_index)
-            WRITE(iounit) pv(:,:,:,cm_index)
-            WRITE(iounit) rho(:,:,:,cm_index)
-            WRITE(iounit) drhodz(:,:,:,cm_index)
-            WRITE(iounit) tth(:,:,:,cm_index)
-            WRITE(iounit) qvh(:,:,:,cm_index)
-            WRITE(iounit) pplev(:,:,:,cm_index)
-            WRITE(iounit) clouds(:,:,:,cm_index)
-            WRITE(iounit) cloudsh(:,:,cm_index)
-#endif
-
-
             dim3dids = (/nxmax_dimid, nymax_dimid, nzmax_dimid/)
 
@@ -836,30 +627,4 @@
 
             ! 2d fields
-
-
-#ifdef RAWBIN
-            WRITE(iounit) ps(:,:,:,cm_index)
-            WRITE(iounit) sd(:,:,:,cm_index)
-            WRITE(iounit) msl(:,:,:,cm_index)
-            WRITE(iounit) tcc(:,:,:,cm_index)
-            WRITE(iounit) u10(:,:,:,cm_index)
-            WRITE(iounit) v10(:,:,:,cm_index)
-            WRITE(iounit) tt2(:,:,:,cm_index)
-            WRITE(iounit) td2(:,:,:,cm_index)
-            WRITE(iounit) lsprec(:,:,:,cm_index)
-            WRITE(iounit) convprec(:,:,:,cm_index)
-            WRITE(iounit) sshf(:,:,:,cm_index)
-            WRITE(iounit) ssr(:,:,:,cm_index)
-            WRITE(iounit) surfstr(:,:,:,cm_index)
-            WRITE(iounit) ustar(:,:,:,cm_index)
-            WRITE(iounit) wstar(:,:,:,cm_index)
-            WRITE(iounit) hmix(:,:,:,cm_index)
-            WRITE(iounit) tropopause(:,:,:,cm_index)
-            WRITE(iounit) oli(:,:,:,cm_index)
-            WRITE(iounit) diffk(:,:,:,cm_index)
-            WRITE(iounit) vdep(:,:,:,cm_index)
-#endif
-
-
             dim2dids = (/nxmax_dimid, nymax_dimid/)
 
@@ -1118,17 +883,4 @@
 
             ! 1d fields
-
-
-
-#ifdef RAWBIN
-            WRITE(iounit) z0(:)
-            WRITE(iounit) akm(:)
-            WRITE(iounit) bkm(:)
-            WRITE(iounit) akz(:)
-            WRITE(iounit) bkz(:)
-            WRITE(iounit) aknew(:)
-            WRITE(iounit) bknew(:)
-#endif
-
             dim1dids = (/numclass_dimid/)
 
@@ -1242,15 +994,5 @@
 
 
-#ifdef RAWBIN
-            WRITE(iounit) nxn(:)
-            WRITE(iounit) nyn(:)
-            WRITE(iounit) dxn(:)
-            WRITE(iounit) dyn(:)
-            WRITE(iounit) xlon0n(:)
-            WRITE(iounit) ylat0n(:)
-#endif
-
             ! Nested, scalar values (for each nest)
-
             dim1dids = (/maxnests_dimid/)
 
@@ -1331,6 +1073,4 @@
 
             ! Nested fields, static over time
-            WRITE(iounit) oron, excessoron, lsmn, xlandusen 
-
             dim3dids = (/nxmaxn_dimid, nymaxn_dimid, maxnests_dimid/)
 
@@ -1390,22 +1130,4 @@
 
             ! 3d nested fields
-
-
-
-#ifdef RAWBIN
-            WRITE(iounit) uun(:,:,:,cm_index,:)
-            WRITE(iounit) vvn(:,:,:,cm_index,:)
-            WRITE(iounit) wwn(:,:,:,cm_index,:)
-            WRITE(iounit) ttn(:,:,:,cm_index,:)
-            WRITE(iounit) qvn(:,:,:,cm_index,:)
-            WRITE(iounit) pvn(:,:,:,cm_index,:)
-            WRITE(iounit) cloudsn(:,:,:,cm_index,:)
-            WRITE(iounit) cloudsnh(:,:,cm_index,:)
-            WRITE(iounit) rhon(:,:,:,cm_index,:)
-            WRITE(iounit) drhodzn(:,:,:,cm_index,:)
-            WRITE(iounit) tthn(:,:,:,cm_index,:)
-            WRITE(iounit) qvhn(:,:,:,cm_index,:)
-#endif
-
             dim4dids = (/nxmaxn_dimid, nymaxn_dimid, nzmax_dimid, maxnests_dimid/)
 
@@ -1563,11 +1285,4 @@
 &                                cloudsnh(0:nxmaxn-1, 0:nymaxn-1, cm_index, 1:maxnests))
             call handle_nf90_err(ncret)
-
-
-
-
-
-
-
 
 
@@ -1579,30 +1294,4 @@
 
             ! 2d nested fields
-
-
-#ifdef RAWBIN
-            WRITE(iounit) psn(:,:,:,cm_index,:)
-            WRITE(iounit) sdn(:,:,:,cm_index,:)
-            WRITE(iounit) msln(:,:,:,cm_index,:)
-            WRITE(iounit) tccn(:,:,:,cm_index,:)
-            WRITE(iounit) u10n(:,:,:,cm_index,:)
-            WRITE(iounit) v10n(:,:,:,cm_index,:)
-            WRITE(iounit) tt2n(:,:,:,cm_index,:)
-            WRITE(iounit) td2n(:,:,:,cm_index,:)
-            WRITE(iounit) lsprecn(:,:,:,cm_index,:)
-            WRITE(iounit) convprecn(:,:,:,cm_index,:)
-            WRITE(iounit) sshfn(:,:,:,cm_index,:)
-            WRITE(iounit) ssrn(:,:,:,cm_index,:)
-            WRITE(iounit) surfstrn(:,:,:,cm_index,:)
-            WRITE(iounit) ustarn(:,:,:,cm_index,:)
-            WRITE(iounit) wstarn(:,:,:,cm_index,:)
-            WRITE(iounit) hmixn(:,:,:,cm_index,:)
-            WRITE(iounit) tropopausen(:,:,:,cm_index,:)
-            WRITE(iounit) olin(:,:,:,cm_index,:)
-            WRITE(iounit) diffkn(:,:,:,cm_index,:)
-            WRITE(iounit) vdepn(:,:,:,cm_index,:)
-#endif
-
-
             dim3dids = (/nxmaxn_dimid, nymaxn_dimid, maxnests_dimid/)
 
@@ -1850,6 +1539,4 @@
 &                                vdepn(0:nxmaxn-1, 0:nymaxn-1, 1:maxspec, cm_index, 1:maxnests))
             call handle_nf90_err(ncret)
-
-
 
 
@@ -1860,18 +1547,5 @@
 
 
-
-
             ! Auxiliary variables for nests
-
-#ifdef RAWBIN
-            WRITE(iounit) xresoln(:)
-            WRITE(iounit) yresoln(:)
-            WRITE(iounit) xln(:)
-            WRITE(iounit) yln(:)
-            WRITE(iounit) xrn(:)
-            WRITE(iounit) yrn(:)
-#endif
-
-
             dim1dids = (/zero_to_maxnests_dimid/)
 
@@ -1956,15 +1630,4 @@
 
             ! Variables for polar stereographic projection
-
-
-
-#ifdef RAWBIN
-            WRITE(iounit) xglobal, sglobal, nglobal
-            WRITE(iounit) switchnorthg, switchsouthg
-            WRITE(iounit) southpolemap(:)
-            WRITE(iounit) northpolemap(:)
-#endif
-
-
             dim1dids = (/polemap_dimid/)
 
@@ -2025,27 +1688,4 @@
 
             ! Variables declared in conv_mod (convection)
-
-
-#ifdef RAWBIN
-            WRITE(iounit) pconv(:)
-            WRITE(iounit) phconv(:)
-            WRITE(iounit) dpr(:)
-            WRITE(iounit) pconv_hpa(:)
-            WRITE(iounit) phconv_hpa(:)
-            WRITE(iounit) ft(:)
-            WRITE(iounit) fq(:)
-            WRITE(iounit) fmass(:,:)
-            WRITE(iounit) sub(:)
-            WRITE(iounit) fmassfrac(:,:)
-            WRITE(iounit) cbaseflux(:,:)
-            WRITE(iounit) cbasefluxn(:,:,:)
-            WRITE(iounit) tconv(:)
-            WRITE(iounit) qconv(:)
-            WRITE(iounit) qsconv(:)
-            WRITE(iounit) psconv, tt2conv, td2conv
-            WRITE(iounit) nconvlev, nconvtop
-#endif
-
-
             dim1dids = (/nconvlevmax_dimid/)
 
@@ -2237,16 +1877,4 @@
             ! Read the preprocessed format version string and insure it
             ! matches this version
-
-
-
-
-
-
-
-#ifdef RAWBIN
-            READ (iounit) temp_preproc_format_version_str
-#endif
-
-
             ncret = nf90_inq_dimid(ncid, 'preproc_fmt_str_dim', preproc_fmt_str_dimid)
             call handle_nf90_err(ncret)            
@@ -2285,20 +1913,5 @@
             ! we abort.
 
-
-
-#ifdef RAWBIN
-            READ (iounit) temp_nxmax, temp_nymax, temp_nzmax, &
-&                         temp_nuvzmax, temp_nwzmax
-#endif
-
-
-
-
-
             ! Get dimensions
-            
-            
-
-
             ncret = nf90_inq_dimid(ncid, 'nxmax', nxmax_dimid)
             call handle_nf90_err(ncret)            
